Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addAdminNavigation = exports.renderLeechButton = exports.defineWidgets = exports.init = undefined;

var _init = require('./lib/init');

var _init2 = _interopRequireDefault(_init);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var Topics = module.parent.require('./topics'); /* eslint no-param-reassign: "off" */

var settings = module.parent.require('./meta');

var init = exports.init = (0, _init2['default'])(Topics, settings);

var defineWidgets = exports.defineWidgets = function () {
  function defineWidgets(widgets, callback) {
    widgets.push({
      widget: 'leech-button',
      name: 'Leech Button',
      description: 'leech content from many sources and convert to NodeBB posts',
      content: ''
    });
    callback(null, widgets);
  }

  return defineWidgets;
}();

var renderLeechButton = exports.renderLeechButton = function () {
  function renderLeechButton(widget, callback) {
    // console.log(widget.area.template);
    if (['category.tpl', 'topic.tpl'].includes(widget.area.template)) {
      widget.req.app.render('widgets/leech-button', function (err, html) {
        widget.html = html;
        callback(err, widget);
      });
    } else {
      widget.html = '';
      callback(null, widget);
    }
  }

  return renderLeechButton;
}();

var addAdminNavigation = exports.addAdminNavigation = function () {
  function addAdminNavigation(header, callback) {
    header.plugins.push({
      route: '/plugins/leech-tool',
      icon: 'fa-download',
      name: 'Leech Tool'
    });

    callback(null, header);
  }

  return addAdminNavigation;
}();

// export const appendConfig = (config, callback) => {
//   meta.settings.get('leech-tool', (err, settings) => {
//     if (err) {
//       callback(null, config);
//     }
//
//     config['leech-tool'] = settings;
//     callback(null, config);
//   });
// };
//# sourceMappingURL=hooks.js.map