Object.defineProperty(exports, "__esModule", {
  value: true
});

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _controllers = require('./controllers');

var _controllers2 = _interopRequireDefault(_controllers);

var _parsers = require('../parsers');

var _parsers2 = _interopRequireDefault(_parsers);

var _models = require('../models');

var _models2 = _interopRequireDefault(_models);

var _renderers = require('../renderers');

var _renderers2 = _interopRequireDefault(_renderers);

var _parser = require('./parser');

var _parser2 = _interopRequireDefault(_parser);

var _model = require('./model');

var _model2 = _interopRequireDefault(_model);

var _renderer = require('./renderer');

var _renderer2 = _interopRequireDefault(_renderer);

var _leech = require('./leech');

var _leech2 = _interopRequireDefault(_leech);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = function (_Topics, _meta) {
  var Topics = _bluebird2['default'].promisifyAll(_Topics);
  var settings = _bluebird2['default'].promisifyAll(_meta.settings);
  var Parser = (0, _parser2['default'])(_parsers2['default']);
  var Renderer = (0, _renderer2['default'])(_renderers2['default']);
  var Model = (0, _model2['default'])(_models2['default'], Renderer);
  var handle = function handle(data) {
    return _bluebird2['default'].resolve(data).then(Parser.parse).then(Model.test).then(Renderer.render);
  };
  var leech = (0, _leech2['default'])(Topics, settings, handle);
  var controllers = (0, _controllers2['default'])(Model, leech);

  return function (params, callback) {
    var router = params.router;
    // const app = params.app;
    var hostMiddleware = params.middleware;
    // const hostControllers = params.controllers;

    router.post('/api/leech-tool', controllers.leechToolAPI);

    // We create two routes for every view. One API call, and the actual route itself.
    // Just add the buildHeader middleware to your route and NodeBB will take care
    // of everything for you.

    router.get('/admin/plugins/leech-tool', hostMiddleware.admin.buildHeader, controllers.renderAdminPage);
    router.get('/api/admin/plugins/leech-tool', controllers.renderAdminPage);

    callback();
  };
}; // Main flow of control
//# sourceMappingURL=init.js.map