Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

exports['default'] = function (parsers) {
  var Parser = {};

  Parser.s = parsers;

  Parser.parse = function (args) {
    var checkThenParse = function checkThenParse(parser, parserName) {
      // model name is from first char to the char before first '-'
      var getModelName = function getModelName(postData) {
        return Object.assign({}, postData, { modelName: parserName.split('-')[0] });
      };

      return _bluebird2['default'].resolve(args).then(parser.check).then(parser.parse).then(getModelName);
    };

    var parsingPromises = _lodash2['default'].map(parsers, checkThenParse);

    return _bluebird2['default'].any(parsingPromises);
  };

  return Parser;
};
//# sourceMappingURL=parser.js.map