Object.defineProperty(exports, "__esModule", {
  value: true
});

exports['default'] = function (renderers) {
  var rendererToModel = {};
  var Renderer = {};

  Object.keys(renderers).forEach(function (name) {
    var modelName = name.split('-')[0];
    rendererToModel[name] = modelName;
  });

  Renderer.s = renderers;
  Renderer.mapToModel = rendererToModel;

  Renderer.render = function (parsing) {
    return Promise.resolve(parsing).then(function (parsed) {
      var modelName = parsed.modelName,
          settings = parsed.settings;

      var defaultRenderer = renderers[String(modelName) + '-default'];
      var renderer = renderers[settings['rendererFor-' + String(modelName)]];
      return Promise.resolve((renderer || defaultRenderer).render(parsed));
    });
  };

  return Renderer;
};
//# sourceMappingURL=renderer.js.map