Object.defineProperty(exports, "__esModule", {
  value: true
});

var _url = require('url');

var _url2 = _interopRequireDefault(_url);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _cheerioToMarkdown = require('cheerio-to-markdown');

var _cheerioToMarkdown2 = _interopRequireDefault(_cheerioToMarkdown);

var _rules = require('./rules');

var _rules2 = _interopRequireDefault(_rules);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function getUsernameAndUserpage(data) {
  var $ = data.$,
      link = data.link;

  var result = data;
  var usernameTag = $('.bigusername')[0];
  if (!usernameTag) throw Error('[[error:invalid-post-url]]');
  result.username = $(usernameTag).html();
  result.userpage = String(link.protocol) + '//' + String(link.hostname) + '/' + String($(usernameTag).attr('href'));
  // console.log(result.username, result.userpage);
  return result;
}

function getUserJoinDateAndUserNumOfPosts(data) {
  var $ = data.$;

  var result = data;
  var userinfoTag = $('td > div.smallfont:has(div)')[0];
  _lodash2['default'].forEach(userinfoTag.children, function (child) {
    var text = $(child).text().trim();
    if (text.startsWith('Join Date:')) result.userJoinDate = text.split(' ').pop();
    if (text.startsWith('Posts:')) result.userNumOfPosts = text.split(' ').pop();
  });
  // console.log(result.userJoinDate, result.userNumOfPosts);
  return result;
}

function getThreadname(data) {
  var $ = data.$;

  var result = data;
  result.threadname = $($('td.tcat > .smallfont > a')[0]).text().trim();
  // console.log(result.threadname);
  return result;
}

function getTimestamp(data) {
  var $ = data.$;

  var timestamp = $($('td#currentPost > div.normal')[1]).text().trim();
  var tempdate = void 0;
  if (timestamp.includes('Yesterday')) {
    tempdate = (0, _moment2['default'])().subtract(1, 'days').utc(-7).format('MM-DD-YYYY');
    timestamp.replace('Yesterday', tempdate);
  } else if (timestamp.includes('Today')) {
    tempdate = (0, _moment2['default'])().utc(-7).format('MM-DD-YYYY');
    timestamp.replace('Today', tempdate);
  }
  var result = data;
  result.postTimestamp = timestamp;
  // console.log(data.postTimestamp);
  return result;
}

function getPostContent(data) {
  var $ = data.$,
      link = data.link;

  var result = data;
  var rules = (0, _rules2['default'])({ host: link.host });
  $.prototype.toMarkdown = (0, _cheerioToMarkdown2['default'])({
    ruleSets: [rules],
    condense: true
  });
  result.postContent = $('td.alt1 > div.voz-post-message').toMarkdown();
  // console.log(data.postContent);
  // console.log(data);
  return result;
}

function purge(data) {
  var result = Object.assign({}, data);
  delete result.$;
  return result;
}

// parse post page to model object

exports['default'] = function (args) {
  return Promise.resolve(Object.assign({}, args, { link: _url2['default'].parse(args.info.url) })).then(getUsernameAndUserpage).then(getUserJoinDateAndUserNumOfPosts).then(getThreadname).then(getTimestamp).then(getPostContent).then(purge);
};
//# sourceMappingURL=parse.js.map