<div id='loading'>
  <ui-progress-circular color="multi-color" size="48" autoStroke="true" v-show="display"></ui-progress-circular>
</div>

<div class="leech-tool-settings">
  <form role="form">
    <div class="row">
      <div class="col-sm-2 col-xs-12 settings-header">Select Renderer</div>
      <div class="col-sm-10 col-xs-12">
        <div class="row" id="renderer-from-model-selector">
          <div class="col-md-6 col-sm-12" id="model-selector">
            <ui-select
              label="Model"
              placeholder="Select model"
              :options="models"
              @change="reloadRenderers"
              v-model="currModel"
            ></ui-select>
          </div>
          <div class="col-md-6 col-sm-12" id="renderer-selector">
            <ui-select
              label="Renderer"
              placeholder="Select renderer"
              :options="renderers"
              @dropdown-close="updateSelectedRenderer"
              v-model="currRenderer"
            ></ui-select>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-sm-2 col-xs-12 settings-header">Options</div>
      <div class="col-sm-10 col-xs-12">
        <div class="row">
          <div class="col-md-6 col-sm-12">
            <h5>Parse Options for {{ currModel }}</h5>
            <div id="parser-options"></div>
          </div>
          <div class="col-md-6 col-sm-12">
            <h5>Render Options for {{ currRenderer }}</h5>
            <div id="renderer-options"></div>
          </div>
        </div>
      </div>
    </div>
  </form>

  <button id="save" @click="saveSettings" class="floating-button mdl-button mdl-js-button mdl-button--fab mdl-js-ripple-effect mdl-button--colored">
  	<i class="material-icons">save</i>
  </button>
</div>

<style>
/* Normalize for keen-ui */
*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  font-size: 100%;
}

.ui-progress-circular {
  display: block;
  margin: 0 auto;
}
</style>
